#
# spec file for package dosemu (Version 0.66.7)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bin86 libz

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         dosemu
Release:      22
Copyright:    Matthias Lautner, Robert Sanders, Carnegie Mellon University
Group: 
Provides:     dosemu dosemu_x 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.66.7
Summary:      The DOS emulator
Source: dosemu-0.66.7.tar.gz
Source1: fallout.tgz
Patch: dosemu-0.66.7.dif
Patch1: ftp://ftp.suse.com/pub/dosemu/patch-0.66.7ac.gz
%description
This package allows MS-DOS programs to be started in Linux. A virtual
machine (the DOS box) provides the necessary BIOS functions.
You will find the sources in the ZQ series.
Documentation can be found in '/usr/doc/packages/dosemu' and in the man
page, as well as in the sources.
If you wish to allow non-root users to run the emulator, you must
enter their names in the file '/etc/dosemu.users'. Even so, some DOS
programs will run only if DOSEMU was started by root. Please note as
well that you should only allow 'trusted users' to use the DOS
emulator, as it inherently permits hardware access that would
otherwise be forbidden to 'normal' users.
The parameter HogThreshold in '/etc/dosemu.conf' states when
an 'idling' DOSEMU should return the CPU to Linux. It is set to use
the CPU as much as it wants (0). The lowest useful value is 10.
If that isn't fast enough, you (as UID root)
can get maximum performance with
nice -19 dos -D-a 2>/dev/null
Don't be surprised though if the other Linux processes then run very
sluggishly. 
Some graphic cards with S3 chips can only be run in 16 color VESA
modes, even if you have inserted
video { vga  console  graphics  chipset s3  memsize 1024 }
in '/etc/dosemu.conf'.
On sensitive systems you should therefore use the 'secure on' option
in '/etc/dosemu.conf', which prevents the use of 'system.com'.
This option also closes another security hole occurring
with (mainly Dos4gw based) DPMI clients, which allows them access to the
complete user space (including the DOSEMU code).
The Aout DOSEMU has a second security hole (the possibility of
replacing libdosemu) which has disappeared in ELF, since the ELF
version no longer generates libdosemu.

Authors:
--------
    Michael E. Deisher <deisher@enws99.EAS.ASU.EDU>
    James B. Maclean <macleajb@ednet.ns.ca>
    Mike Batchelor <mikebat@netcom.com>
    Lam Lai Yin <lam836@cs.cuhk.hk>
    Uwe Bonnes <bon@elektron.ikp.physik.th-darmstadt.de>
    Scott Buchholz <scottb@eecs.nwu.edu>
    J. Lawrence Stephan <jlarry@ssnet.com>
    John Davis <davis@space.mit.edu>
    David Etherton <etherton@netcom.com>
    Pasi Eronen <peronen@vipunen.hut.fi>
    Jason E Gorden <gorden@jegnixa.hsc.missouri.edu>
    Matthew Grant <grantma@ritz.equinox.gen.nz>
    David Hansen <dhansen@metapath.com>
    Jochen Hein <Hein@Informatik.TU-Clausthal.de>
    Alan Hourihane <alanh@fairlite.demon.co.uk>
    John Kohl <jtk@atria.com >
    Rob Janssen <pe1chl@rabo.nl>
    Harald Koenig <koenig@nova.tat.physik.uni-tuebingen.de>
    Vinod G Kulkarni <vinod@cse.iitb.ernet.in>
    Kang-Jin Lee <lee@tengu.in-berlin.de>
    Kevin P Lawton <bochs@world.std.com>
    Marty Leisner <leisner@sdsp.mc.xerox.com>
    Hans Lermen <lermen@suse.de>
    Dong Liu <dliu@faraday-gw.njit.edu>
    Tim Van der Linden <timvdl@innet.be>
    Martin Ludwig <Martin.Ludwig@ruba.rz.ruhr-uni-bochum.de>
    Alistair MacDonald <alistair@slitesys.demon.co.uk>
    Amit Margalit <amitm@netvision.net.il>
    Lawrence K Mao <lkmao@unf.edu>
    Rod May <stoke@melbourne.DIALix.oz.au>
    WAYNE P MEISSNER <n1046128@student.fit.qut.edu.au>
    Lutz Molgedey <lutz@summa.physik.hu-berlin.de>
    Erik Mouw <jakmouw@et.tudelft.nl>
    Christoph Niemann <Christoph.Niemann@linux.org>
    Max Parke <mhp@light.lightlink.com>
    Mark Rejhon <mdrejhon@magi.com>
    Ronnie <ronnie@epact.se>
    Ed Sirett <ed@cityscape.co.uk>
    Larry Stephan <jlarry@ssnet.com>
    Corey Sweeney <corey@bbs.xnet.com>
    Andrew Tridgell <Andrew.Tridgell@anu.edu.au>
    Theodore Ts'o <tytso@mit.edu>
    Robert Sanders <gt8134b@prism.gatech.edu>
    Matthias Lautner
    Tim Bird
    Joel N. Weber II

%prep
%setup -b 1
%patch -P 0
%patch -P 1 -p 1
%build
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/X11R6/lib/X11/fonts
%dir /usr/X11R6/lib/X11/fonts/misc
%dir /usr/doc/packages/dosemu
%dir /var/lib/dosemu
%dir /var/lib/dosemu/commands
%dir /var/lib/dosemu/dexe
%dir /var/lib/dosemu/dosC
%dir /var/lib/dosemu/etc
%dir /var/lib/dosemu/etc/keymap
%config /etc/dosemu.conf
%config /etc/dosemu.users
%config /etc/dosemu.users.easy
%config /etc/dosemu.users.secure
/usr/X11R6/lib/X11/fonts/misc/vga.pcf.gz
/usr/bin/dexeconfig
/usr/bin/dos
/usr/bin/dosdebug
/usr/bin/dosexec
/usr/bin/mkfatimage16
/usr/bin/xdos
/usr/bin/xtermdos
%doc /usr/doc/packages/dosemu/COPYING
%doc /usr/doc/packages/dosemu/ChangeLog
%doc /usr/doc/packages/dosemu/DANG.txt
%doc /usr/doc/packages/dosemu/DPR
%doc /usr/doc/packages/dosemu/EMUfailure.txt
%doc /usr/doc/packages/dosemu/Known-Bugs
%doc /usr/doc/packages/dosemu/NOVELL-HOWTO.txt
%doc /usr/doc/packages/dosemu/QuickStart
%doc /usr/doc/packages/dosemu/README-tech.txt
%doc /usr/doc/packages/dosemu/README.txt
%doc /usr/doc/packages/dosemu/announce
%doc /usr/doc/packages/dosemu/bugreports.txt
%doc /usr/doc/packages/dosemu/configuration.txt
%doc /usr/doc/packages/dosemu/dosemu-HOWTO.txt
%doc /usr/doc/packages/dosemu/dosemu.lsm
%doc /usr/man/man1/dos.1.gz
%doc /usr/man/man1/dosdebug.1.gz
%doc /usr/man/man1/mkfatimage16.1.gz
%doc /usr/man/man1/xdos.1.gz
%doc /usr/man/man1/xtermdos.1.gz
/var/lib/dosemu/commands/autoexec.bat
/var/lib/dosemu/commands/bootoff.com
/var/lib/dosemu/commands/booton.com
/var/lib/dosemu/commands/cdrom.sys
/var/lib/dosemu/commands/chdir.exe
/var/lib/dosemu/commands/cmdline.exe
/var/lib/dosemu/commands/compile.bat
/var/lib/dosemu/commands/config.sys
/var/lib/dosemu/commands/dosdbg.com
/var/lib/dosemu/commands/dumpconf.exe
/var/lib/dosemu/commands/eject.com
/var/lib/dosemu/commands/ems.sys
/var/lib/dosemu/commands/emufs.sys
/var/lib/dosemu/commands/emumouse.com
/var/lib/dosemu/commands/emumouse.exe
/var/lib/dosemu/commands/exitemu.com
/var/lib/dosemu/commands/ezedit.com
/var/lib/dosemu/commands/ezedit.doc
/var/lib/dosemu/commands/fossil.com
/var/lib/dosemu/commands/getcwd.exe
/var/lib/dosemu/commands/isemu.com
/var/lib/dosemu/commands/lancheck.exe
/var/lib/dosemu/commands/lredir.com
/var/lib/dosemu/commands/mgarrot.com
/var/lib/dosemu/commands/system.exe
/var/lib/dosemu/commands/unix.com
/var/lib/dosemu/commands/vgaoff.com
/var/lib/dosemu/commands/vgaon.com
/var/lib/dosemu/dexe/dconfig.default
/var/lib/dosemu/dexe/do_mtools
/var/lib/dosemu/dexe/extract-dos
/var/lib/dosemu/dexe/mkdexe
/var/lib/dosemu/dexe/myxcopy
/var/lib/dosemu/dosC/boot.bin
/var/lib/dosemu/dosC/command.com
/var/lib/dosemu/dosC/dosc.patch
/var/lib/dosemu/dosC/ipl.sys
/var/lib/dosemu/dosC/kernel.exe
/var/lib/dosemu/dosC/readme.dosemu
/var/lib/dosemu/dosC/readme.txt
/var/lib/dosemu/etc/config.test
/var/lib/dosemu/etc/dosemu.conf
/var/lib/dosemu/etc/dosemu.users.easy
/var/lib/dosemu/etc/dosemu.users.secure
/var/lib/dosemu/etc/dosemu.xpm
/var/lib/dosemu/etc/keymap/dosemu.new.keymap
/var/lib/dosemu/fallout
/var/lib/dosemu/setup-hdimage
/var/lib/dosemu/setup-hdimage.real

